RTrees (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class RTrees

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.DTrees
      - - org.opencv.ml.RTrees

-     public class RTrees
      extends DTrees

- - ### Field Summary

    - ### Fields inherited from class org.opencv.ml.DTrees

      `PREDICT_AUTO, PREDICT_MASK, PREDICT_MAX_VOTE, PREDICT_SUM`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RTrees(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RTrees` | `__fromPtr__(long addr)`
    `static RTrees` | `create()`
    `protected void` | `finalize()`
    `int` | `getActiveVarCount()`
    `boolean` | `getCalculateVarImportance()`
    `TermCriteria` | `getTermCriteria()`
    `Mat` | `getVarImportance()`
    `void` | `getVotes(Mat samples, Mat results, int flags)`
    `static RTrees` | `load(java.lang.String filepath)`
    `static RTrees` | `load(java.lang.String filepath, java.lang.String nodeName)`
    `void` | `setActiveVarCount(int val)`
    `void` | `setCalculateVarImportance(boolean val)`
    `void` | `setTermCriteria(TermCriteria val)`

    - ### Methods inherited from class org.opencv.ml.DTrees

      `getCVFolds, getMaxCategories, getMaxDepth, getMinSampleCount, getPriors, getRegressionAccuracy, getTruncatePrunedTree, getUse1SERule, getUseSurrogates, setCVFolds, setMaxCategories, setMaxDepth, setMinSampleCount, setPriors, setRegressionAccuracy, setTruncatePrunedTree, setUse1SERule, setUseSurrogates`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RTrees

          protected RTrees(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static RTrees __fromPtr__(long addr)

    - #### getVarImportance

          public Mat getVarImportance()

    - #### create

          public static RTrees create()

    - #### load

          public static RTrees load(java.lang.String filepath,
                                    java.lang.String nodeName)

    - #### load

          public static RTrees load(java.lang.String filepath)

    - #### getTermCriteria

          public TermCriteria getTermCriteria()

    - #### getCalculateVarImportance

          public boolean getCalculateVarImportance()

    - #### getActiveVarCount

          public int getActiveVarCount()

    - #### getVotes

          public void getVotes(Mat samples,
                               Mat results,
                               int flags)

    - #### setActiveVarCount

          public void setActiveVarCount(int val)

    - #### setCalculateVarImportance

          public void setCalculateVarImportance(boolean val)

    - #### setTermCriteria

          public void setTermCriteria(TermCriteria val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `DTrees`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown